Subject: [urn] Resolution services and Section 7.5 of draft-ietf-urnbis-rfc2141bis-urn-09

From: John C Klensin <[email-masked]>
Date: Wed, 04 Mar 2015 09:45:15 -0500

Hi.

I've gotten several offlist comments about this document that
require attention.  In several cases, I've incorporated
responses as or with notes in what will become -10 assuming
those will become the text if no one objects.

However, a few of them seem to require WG consideration.  This
is the first note in that series.

Section 7.5 of draft-ietf-urnbis-rfc2141bis-urn-09 seems to be a
little more specific about resolution than the direction in
which we seem to be headed.  In particular, it calls out the
notion of registration of the namespace with an RFC 2276
Resolution Discovery System, an idea that has been honored
mostly in the breach, and calls out DDDS, which I believe has
not been used very much for URNs (if I'm wrong, details would be
appreciated).  If we are going to retain the DDDS example, it
needs a reference (probably easy).  However, the section also
says 

	"Resolution then proceeds according to standard URI
	resolution processes, as well as the mechanisms of the
	RDS."

In contemporary terms, that is probably Section 5 of 3986, but
that section not only goes well beyond what I think was
contemplated when RFC 2141 was written but is mostly made
irrelevant to URNs by the "syntax only" decision.

One possibility is just to strip the RDS and DDDS material out
of that paragraph, saying instead:

  The "Resolution" section specifies the rules for resolution
  of URNs assigned within the namespace.  This section SHOULD
  list the requirements for becoming a recognized resolver of
  URNs in the relevant namespace.  Answers might include, but
  are not limited to:

Other suggestions and comments welcome.

    john

---

From: [email-masked] (Henry S. Thompson)
Date: Wed, 04 Mar 2015 15:45:25 +0000

John C Klensin writes:

> ...
> mostly in the breach
> ...

I like that suggestion as far as it goes.  I would only add that since
it involves stripping out reference to RDS, that the numbered examples
that follow should probably also be modified so they don't give such a
central role to RDS.

In fact, having spent a small amount of time trying to redraft the
numbered items, I wonder if even less is not more in this case.  What
about

   The "Resolution" section MUST specify whether resolution mechanisms
   are supported or anticipated for URNs assigned within the
   namespace, and if so SHOULD specify or reference the rules governing
   those mechanisms.

   In particular, if resolution is anticipated and resolver
   registration of some kind is required, for example via a Resolution
   Discovery System [RFC2276], this section SHOULD list the
   requirements for becoming a recognized resolver of URNs in the
   relevant namespace.

ht
-- 
       Henry S. Thompson, School of Informatics, University of Edinburgh
      10 Crichton Street, Edinburgh EH8 9AB, SCOTLAND -- (44) 131 650-4440
                Fax: (44) 131 650-4587, e-mail: [email-masked]
                       URL: http://www.ltg.ed.ac.uk/~ht/
 [mail from me _always_ has a .sig like this -- mail without it is forged spam]

---

From: Peter Saint-Andre - &yet <[email-masked]>
Date: Mon, 23 Mar 2015 21:21:27 -0600

>     requirements for becoming a recognized resolver of URNs in the

Works for me. Thanks for the proposed text.

Peter

-- 
Peter Saint-Andre
https://andyet.com/